Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353900 - Tooltip is partially hidden when hovering over utilization donut
Summary: Tooltip is partially hidden when hovering over utilization donut
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: Core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.0.5
: 1.0.5
Assignee: Scott Dickerson
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 11:21 UTC by Pavel Stehlik
Modified: 2017-01-18 07:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-18 07:35:48 UTC
oVirt Team: UX
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
dash-hidden-tooltip.mov (deleted)
2016-07-08 11:21 UTC, Pavel Stehlik
no flags Details
screen: dashboard tooltip overlap fixed (deleted)
2016-10-26 15:36 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 63719 master MERGED fix DonutChart tooltip render issue 2016-09-13 18:39:12 UTC
oVirt gerrit 63947 ovirt-engine-dashboard-1.0 MERGED fix DonutChart tooltip render issue 2016-09-16 15:50:23 UTC

Description Pavel Stehlik 2016-07-08 11:21:27 UTC
Created attachment 1177617 [details]
dash-hidden-tooltip.mov

Description of problem:
 Tooltip starts with no space eg "7% GB Used" and mouse cursor partially cover the very 1st char.
 It would be nice to put some more spaces (or move tooltip further away from pointer) in order to see all letters/numbers. See att movie.


Version-Release number of selected component (if applicable):
beta1 4.0
FF47.0 & Chrome 51.0.2704.103

How reproducible:
100%

Steps to Reproduce:
1. hovering over utilization donut
2.
3.

Comment 1 Vojtech Szocs 2016-07-15 14:58:11 UTC
We should adjust tooltip's relative position to not interfere with mouse cursor: http://c3js.org/reference.html#tooltip-position

Comment 3 Scott Dickerson 2016-09-13 14:02:12 UTC
The target div for the donut chart's c3 chart had a style on it that the tooltip positioning code didn't expect.  This cause the tooltip to be rendered too high and under the mouse pointer.  By adding a new c3 container div inside the previous div, the render and tooltip positioning code is now working as expected.

Comment 4 Pavel Novotny 2016-10-26 15:35:21 UTC
Verified in
rhevm-4.0.5.2-0.2.el7ev.noarch
ovirt-engine-dashboard-1.0.5-1.el7ev.x86_64

with
Firefox 45.4 ESR
Firefox 49
Chromium 53

The mouse pointer and the tooltip now don't overlap.
See the screenshot attached.

Comment 5 Pavel Novotny 2016-10-26 15:36:01 UTC
Created attachment 1214331 [details]
screen: dashboard tooltip overlap fixed


Note You need to log in before you can comment on or make changes to this bug.